[Pkg-cmake-commits] [cmake] 02/02: Add autopkgtests which run the upstream testsuite against the system cmake.

Felix Geyer fgeyer at moszumanska.debian.org
Wed Aug 26 18:46:16 UTC 2015


This is an automated email from the git hooks/post-receive script.

fgeyer pushed a commit to branch experimental
in repository cmake.

commit 55b1b64fe370ba245f740bebaa2127e5ff8a54fe
Author: Felix Geyer <fgeyer at debian.org>
Date:   Wed Aug 26 20:45:35 2015 +0200

    Add autopkgtests which run the upstream testsuite against the system cmake.
---
 debian/changelog             |  1 +
 debian/tests/control         |  7 +++++++
 debian/tests/testsuite       | 11 +++++++++++
 debian/tests/testsuite-ninja | 11 +++++++++++
 4 files changed, 30 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 830511b..e6f50d0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ cmake (3.3.1-2) UNRELEASED; urgency=medium
   * Set the team mailing list as maintainer.
   * Add a stage1 build profile that disables building cmake-qt-gui.
     (Bug: #738161)
+  * Add autopkgtests which run the upstream testsuite against the system cmake.
 
  -- Felix Geyer <fgeyer at debian.org>  Sat, 22 Aug 2015 19:09:55 +0200
 
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..9693191
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,7 @@
+Tests: testsuite
+Restrictions: allow-stderr
+Depends: cmake, @builddeps@
+
+Tests: testsuite-ninja
+Restrictions: allow-stderr
+Depends: cmake, ninja-build, @builddeps@
diff --git a/debian/tests/testsuite b/debian/tests/testsuite
new file mode 100755
index 0000000..c82f75f
--- /dev/null
+++ b/debian/tests/testsuite
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR="$(pwd)"
+
+cd $ADTTMP
+
+cmake -DCMake_TEST_EXTERNAL_CMAKE=/usr/bin $SRCDIR
+make VERBOSE=1
+CTEST_OUTPUT_ON_FAILURE=1 make test ARGS="-E CTestTestUpload -E BootstrapTest"
diff --git a/debian/tests/testsuite-ninja b/debian/tests/testsuite-ninja
new file mode 100755
index 0000000..8672d54
--- /dev/null
+++ b/debian/tests/testsuite-ninja
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR="$(pwd)"
+
+cd $ADTTMP
+
+cmake -DCMake_TEST_EXTERNAL_CMAKE=/usr/bin -GNinja $SRCDIR
+ninja -v
+CTEST_OUTPUT_ON_FAILURE=1 ctest -E CTestTestUpload -E BootstrapTest

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-cmake/cmake.git



More information about the Pkg-cmake-commits mailing list